summaryrefslogtreecommitdiffstats
path: root/source/l/gst-plugins-base
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gst-plugins-base')
-rwxr-xr-xsource/l/gst-plugins-base/gst-plugins-base.SlackBuild26
-rw-r--r--source/l/gst-plugins-base/gst-plugins-base.url1
-rw-r--r--source/l/gst-plugins-base/slack-desc10
3 files changed, 25 insertions, 12 deletions
diff --git a/source/l/gst-plugins-base/gst-plugins-base.SlackBuild b/source/l/gst-plugins-base/gst-plugins-base.SlackBuild
index 747fec2a4..7c3c26ecf 100755
--- a/source/l/gst-plugins-base/gst-plugins-base.SlackBuild
+++ b/source/l/gst-plugins-base/gst-plugins-base.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -23,9 +23,10 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gst-plugins-base
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -38,9 +39,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -65,8 +73,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -84,11 +92,15 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--disable-debug \
--disable-static \
- --build=$ARCH-slackware-linux
+ --disable-examples \
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/gst-plugins-base/gst-plugins-base.url b/source/l/gst-plugins-base/gst-plugins-base.url
new file mode 100644
index 000000000..06dd75495
--- /dev/null
+++ b/source/l/gst-plugins-base/gst-plugins-base.url
@@ -0,0 +1 @@
+https://gstreamer.freedesktop.org/src/
diff --git a/source/l/gst-plugins-base/slack-desc b/source/l/gst-plugins-base/slack-desc
index de737776f..cbcd05cdb 100644
--- a/source/l/gst-plugins-base/slack-desc
+++ b/source/l/gst-plugins-base/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler---------------------------------------------|
@@ -11,8 +11,8 @@ gst-plugins-base:
gst-plugins-base: GStreamer Base Plug-ins is a well-groomed and well-maintained
gst-plugins-base: collection of GStreamer plug-ins and elements, spanning the
gst-plugins-base: range of possible types of elements one would want to write
-gst-plugins-base: for GStreamer. It also contains helper libraries and base
-gst-plugins-base: classes useful for writing elements. A wide range of video
+gst-plugins-base: for GStreamer. It also contains helper libraries and base
+gst-plugins-base: classes useful for writing elements. A wide range of video
gst-plugins-base: and audio decoders, encoders, and filters are included.
gst-plugins-base:
gst-plugins-base: